//******************************************************************************
// Call of Duty 2 - eXtreme+ modification
//******************************************************************************
// author   : Astoroth and the eXtreme+ Support Crew
// email    : astoroth@gom.me.uk
// website  : http://www.mycallofduty.com
//
// mod      : eXtreme+
// version  : 2.3
// update   : November 2007
//******************************************************************************


// Note on map overriding
// ----------------------
// All these dvars can be overriden for specific maps by adding the map name at the end of the dvar.
//
// Examples :
// Play with russian allies in Toujane:
//   set scr_allies_mp_toujane "russian"
// Set the respawn delay in Brecourt:
//   set scr_ihtf_respawndelay_mp_brecourt "20"
// Use TDM spawn points for players on Salerno Beachhead:
//   set scr_ihtf_playerspawnpointsmode_mp_salerno_beachhead_b "tdm"
// Use only SD bomb zones and HQ radio points for flag on Burgundy:
//   set scr_ihtf_flagspawnpointsmode_mp_burgundy "sdb hq"


//******************************************************************************
// Optional extra points for melee and headshot kills.
// For team kills (if enabled), you can turn reward points into extra punishment
// Now supported by all game types, except HM (Hitman) and LMS (Last Man Standing)
//******************************************************************************
// Extra points for melee kills
// 0 = disabled (default)
// 1-5 = extra point(s)
//set ex_reward_melee "2"
//set ex_reward_melee_ctf "2"
//set ex_reward_melee_ctfb "2"
//set ex_reward_melee_dm "2"
//set ex_reward_melee_tdm "2"

// Extra points for headshot kills
// 0 = disabled (default)
// 1-5 = extra point(s)
//set ex_reward_headshot "1"
//set ex_reward_headshot_ctf "1"
//set ex_reward_headshot_ctfb "1"
//set ex_reward_headshot_dm "1"
//set ex_reward_headshot_tdm "1"

// What to do in case of team kills
// 0 = stock setting: -1 point (default)
// 1 = also subtract reward points: -(1+reward)
//set ex_reward_teamkill "1"


//******************************************************************************
// Team Deathmatch (tdm)
//******************************************************************************
set scr_tdm_scorelimit "600"    // Map score limit
set scr_tdm_timelimit "20"      // Map time limit, in minutes - 0 to 1440


//******************************************************************************
// Deathmatch (dm)
//******************************************************************************
set scr_dm_scorelimit "350"     // Map score limit
set scr_dm_timelimit "20"       // Map time limit - 0 to 1440, in minutes


//******************************************************************************
// Team King of the Hill (tkoth)
//******************************************************************************
set scr_tkoth_timelimit "20"    // Map time limit, in minutes - 0 to 30
set scr_tkoth_zonetimelimit "7" // Zone time limit, in minutes - 0 to 15	
set scr_tkoth_debug "0"         // 0 = Off 1 = On


//******************************************************************************
// Hitman (hm)
//******************************************************************************
set scr_hm_timelimit "30"     // Time limit in minutes (Default is 30)
set scr_hm_scorelimit "50"    // Score limit (Default is 50)
set scr_hm_showcommander "1"  // Shows the location of Commander on compass (Default is On)
set scr_hm_tposuptime "5"     // Delay time until Commander gets displayed on compass. (Default is 1)


//******************************************************************************
// Liberation (lib)
//******************************************************************************
set scr_lib_scorelimit "15"   // Score limit (Default is 10)
set scr_lib_roundlength "5"   // Round Length jails lockdown during last minute of round and team w/ most free players wins (Default is 30)
set scr_lib_graceperiod "5"   // Grace period where team/weapon select is allowed (Default is 20 secs)


//******************************************************************************
// Last Man Standing (lms)
//******************************************************************************
set scr_lms_timelimit "20"    // Time limit in minutes (default 20)
set scr_lms_scorelimit "3"    // Score limit (default 3)
set scr_lms_minplayers "4"    // Minimum players before match will start (default 4)
set scr_lms_joinperiod "30"   // Period in seconds that players are allowed to join (default 15)
set scr_lms_killwinner "1"    // Kill the winner when the duel has ended (0 = no, 1 = yes) (default 0)
set scr_lms_killometer "60"   // Time for the Kill-O-Meter in seconds (default 60)
set scr_lms_duelperiod "60"   // Time for the Duel period in seconds (default 60)


//******************************************************************************
// Last Team Standing (lts)
//******************************************************************************
set scr_lts_timelimit "0"     // Time limit in minutes (set to 0 if using roundlimits)
set scr_lts_scorelimit "10"   // Score limit
set scr_lts_graceperiod "30"  // Time at round start where spawning and weapon choosing is still allowed, 0 - 60 seconds
set scr_lts_roundlength "20"  // round length
set scr_lts_roundlimit "2"    // Max Number of round wins per map


//******************************************************************************
// Domination AND Onslaught (dom and ons)
// IMPORTANT: Onslaught has been made with DOM + Static Flags in view and
// HAS NOT BEEN TESTED at all with dynamic flags and should NOT work nicely with it
// (especially if the flag timeout feature is set). I'll give NO SUPPORT for ONS in this case.
//******************************************************************************
set scr_dom_roundlimit "5"
set scr_dom_timelimit "0"
set scr_dom_roundlength "7"
set scr_dom_graceperiod "5"
set scr_dom_respawndelay "10"
set scr_dom_flagsnumber "5"
set scr_dom_pointscaptureflag "5"
set scr_dom_flagcapturetime "10"
set scr_dom_spawndistance 250
set scr_show_flagpoints "1"   // set to "1" to allow flagpoints to show across map. Default is "1"
set scr_dom_warmuptime "30"   // round warmup time. To allow time for players to join server.
set scr_dom_cooldowntime "4"  // time before next round
set scr_dom_static_flags "0"  // only available on stock maps
set scr_dom_flagtimeout "120" // set this to dynamically move flags after timout has elapsed


//******************************************************************************
// Conquest (cnq)
//******************************************************************************
set scr_cnq_timelimit "20"
set scr_cnq_scorelimit "100"
set scr_cnq_team_bonus_points "25"
set scr_cnq_team_objective_points "10"
set scr_cnq_player_bonus_points "15"
set scr_cnq_player_objective_points "10"
set scr_cnq_initialobjective "1" //to start the game with both teams in the middle, set to "3". Otherwise leave at "1"
set scr_cnq_respawn_wave_time "10"
set scr_cnq_campaign "1"


//******************************************************************************
// Round-Based Conquest (rbcnq)
//******************************************************************************
set scr_rbcnq_timelimit "20"
set scr_rbcnq_roundlimit "1"
set scr_rbcnq_roundlength "2"
set scr_rbcnq_graceperiod "10"
set scr_rbcnq_scorelimit "100"
set scr_rbcnq_team_bonus_points "25"
set scr_rbcnq_team_objective_points "10"
set scr_rbcnq_player_bonus_points "15"
set scr_rbcnq_player_objective_points "10"
set scr_rbcnq_player_objective_points_mp_twin 15
set scr_rbcnq_initialobjective "0"
set scr_rbcnq_respawn_wave_time "4"
set scr_rbcnq_spawn_tickets "2"
set scr_rbcnq_swap_roundwinner "1"
set scr_rbcnq_campaign "1"
set scr_rbcnq_captime "5"
set scr_rbcnq_round_reset_scores 0


//******************************************************************************
// Search and Destroy (sd)
//******************************************************************************
set scr_sd_timelimit "0"      // Map time limit, in minutes - 0 to 1440 (set to 0 if using roundlimits)
set scr_sd_graceperiod "30"   // Time at round start where spawning and weapon choosing is still allowed, 0 - 60 seconds
set scr_sd_roundlength "4"    // round length in minutes
set scr_sd_roundlimit "0"     // Max Number of round wins per map
set scr_sd_scorelimit "10"    // Map team score limit per map
set scr_sd_bombtimer "60"     // Set the time it takes for the bomb to explode 30 - 120 secs
set scr_sd_planttime "5"      // Set the time in seconds to plant the bomb 1 - 30 secs (default 5)
set scr_sd_defusetime "10"    // Set the time in seconds to defuse the bomb 1 - 30 secs (default 10)
set ex_sdpoints_plant "10"    // points awarded to the player that plants the bomb (0 - 999)
set ex_sdpoints_defuse "10"   // points awarded to the player that defuses the bomb (0 - 999)


//******************************************************************************
// Enhanced Search and Destroy (esd)
//******************************************************************************
set scr_esd_scorelimit "10"   // Score limit (default = 10)
set scr_esd_timelimit "3"     // Time limit, in minutes (0 = no time limit, default = 0)
set scr_esd_roundlimit "1"    // Maximum number of rounds (0 = no limit, default = 0)
set scr_esd_roundlength "2"   // Round length, in minutes (default = 4)
set scr_esd_graceperiod "15"  // Time at round start where spawning and weapon choosing is still allowed, in seconds (default = 15)
set scr_esd_planttime "5"     // Time it takes to plant a bomb, in seconds (default = 5)
set scr_esd_defusetime "5"    // Time it takes to defuse a bomb, in seconds (default = 10)
set scr_esd_bombtimer "40"    // Time it takes for a planted bomb to explode, in seconds (default = 60)
set scr_esd_plantscore "5"    // Points for player that plants bomb (default = 0)
set scr_esd_defusescore "5"   // Points for player that defuses bomb (default = 0)
set scr_esd_spawn_tickets "3" // Number of "lives" for each Player
set scr_esd_respawndelay "3"  // Respawn delay, in seconds (default = 10)
set scr_esd_swap_roundwinner "1"  // Swap Roundwinner per round
set scr_esd_campaign "1"      // Last Roundwinner becomes attackers next map

// ESD mode (default = 0)
// 0 = standard SD : 1 active bomb site at a time, attackers win when the bomb explodes, defenders win if they defuse the bomb
// 1 = 2 active bomb sites, attackers win when the first bomb explodes, defused bomb removes the objective
// 2 = 2 active bomb sites, attackers have to explode both bombs to win, defenders win if they defuse a bomb
// 3 = 2 active bomb sites, attackers win when the first bomb explodes, defused bomb restores the objective
// 4 = 2 active bomb sites, attackers have to explode both bombs to win, defused bomb restores the objective
set scr_esd_mode "2"


//******************************************************************************
// Headquarters (hq)
//******************************************************************************
set scr_hq_timelimit "25"         // Map time limit, in minutes - 0 to 1440
set scr_hq_scorelimit "700"       // Score limit per map
set ex_hq_radio_zradius "72"      // Distance players must be from radio to capture/neutralize (default 72) 0 - 200 inches
//set ex_hq_radio_spawntime "45"  // Delay until radio spawns (default 45) 0 - 240 secs
//set ex_hq_radio_holdtime "120"  // Maximum time allowed to hold radio default 120) (60 - 1440 secs
//set ex_hq_respawn_time "10"     // Delay for attacker respawning (default 10)
//set ex_hqpoints_teamneut "10"   // team neutralize radio points ( 0 - 999 ) default 10
//set ex_hqpoints_playerneut "0"  // player neutralize radio points ( 0 - 999 ) default 0
//set ex_hqpoints_teamcap "0"     // team radio capture points ( 0 - 999 ) default 0
//set ex_hqpoints_playercap "0"   // player radio capture points ( 0 - 999 ) default 0
//set ex_hqpoints_defpps "0"      // defending team points per second ( 0 - 999 ) default 1


//******************************************************************************
// Classic Headquarters (chq)
//******************************************************************************
set scr_chq_timelimit "25"        // Map time limit, in minutes - 0 to 1440
set scr_chq_scorelimit "700"      // Score limit per map
//set ex_chq_radio_zradius "72"   // Distance players must be from radio to capture/neutralize (default 72) 0 - 200 inches
//set ex_chq_radio_spawntime "45" // Delay until radio spawns (default 45) 0 - 240 secs
//set ex_chq_radio_holdtime "120" // Maximum time allowed to hold radio (default 120) 60 - 1440 secs
//set ex_chqpoints_teamneut "10"  // team neutralize radio points ( 0 - 999 ) default 10
//set ex_chqpoints_playerneut "0" // player neutralize radio points ( 0 - 999 ) default 0
//set ex_chqpoints_teamcap "0"    // team radio capture points ( 0 - 999 ) default 0
//set ex_chqpoints_playercap "0"  // player radio capture points ( 0 - 999 ) default 0
//set ex_chqpoints_defpps "1"     // defending team points per second ( 0 - 999 ) default 1


//******************************************************************************
// Capture the Flag (ctf)
//******************************************************************************
set scr_ctf_timelimit "20"       // In minutes, Time allowed to play on one map before map automatically rotates.
set scr_ctf_scorelimit "10"      // Maximum team score allowed before map automatically rotates.
set scr_ctf_spawndelay "10"      // Time player waits to respawn
//set ex_ctfpoints_teamcf "1"    // team capture points ( 0 - 999 ) default 1
//set ex_ctfpoints_playercf "10" // player capture points ( 0 - 999 ) default 10
//set ex_ctfpoints_playerrf "2"  // player return flag points ( 0 - 999 ) default 2
set scr_objectiveicon "0"        // Show flag post location on HUD when flag is missing 0=off 1=on
//set scr_ctf_flagautoreturndelay	"120"	// Delay before auto-returning a dropped flag to its base, in seconds (default = 120)


//******************************************************************************
// Capture the Flag back (ctfb)
//******************************************************************************
set scr_ctfb_scorelimit "5"     // Team score limit (default = 5)
set scr_ctfb_timelimit "30"     // Time limit, in minutes (default = 30)

// Use random positions for the flag (0 = no, 1 = yes, default = 0)
// These positions will be chosen among DM spawn points instead of fixed CTF flag positions
//set scr_ctfb_random_flag_position "0"
//set scr_ctfb_show_enemy_own_flag "1"    // Show enemy the own flag (0 = no, 1 = yes, default = 1)
//set scr_ctfb_show_enemy_own_flag_after_sec "60"    // Delay before showing enemy the own flag, in seconds (default = 60)
//set scr_ctfb_show_enemy_own_flag_time "60"    // Duration of showing enemy the own flag, in seconds (default = 60)
//set scr_ctfb_points_capture_flag "10"     // Points for capturing the flag (default = 10)
//set scr_ctfb_points_returned_flag "2"    // Points for returning the flag (default = 2)
//set scr_ctfb_respawn_delay "10"       // Respawn delay, in seconds (default = 10)
//set scr_ctfb_points_defend "2"        // Points for defending own flag (default = 2)
//set scr_ctfb_points_assist "3"         // Points for assisting the own flag carrier (default = 3)
// Distance under which a kill is considered as protection - distance is from the killed player to the flag (default = 800)
// No reason to change this value unless map has unusual dimensions...
set scr_ctfb_flagprotectiondistance "800"
// Delay before auto-returning a dropped flag to its base, in seconds (default = 120)
//set scr_ctfb_flagautoreturndelay "120"


//******************************************************************************
// Round-Based Capture the Flag (rbctf)
//******************************************************************************
set scr_rbctf_scorelimit "100"    //Overall score limit (max is 500)
set scr_rbctf_timelimit "20"      //Total timelimit (max is 60 mins)
set scr_rbctf_roundlimit "4"      //Roundlimit (max is 99)
set scr_rbctf_roundlength "3"     //Roundlength (max time is 60 mins)
set scr_rbctf_spawntickets "2"    //Number of times a Player is allowed to respawn (max is 99. Changing team counts as a ticket)
set scr_rbctf_respawndelay "5"    //Time until Respawn (when allowed)
set scr_rbctf_cappoints "5"       //Award Player Cap points
set scr_rbctf_return_flag_points "5"  //Award points to Player for Returning Flag to own base
set scr_rbctf_flag_points "10"    //Team Points Per Flag Caputred
set scr_rbctf_roundwin_points "5" //Team Points for winning round
set scr_rbctf_returndelay "60"    //Auto Return time for flags dropped
set scr_rbctf_totaltime "1"       //Total time (instead of just round time) display. Default = 1


//******************************************************************************
// Hold the Flag (htf)
//******************************************************************************
set scr_htf_timelimit "20"      // Time limit in minutes (default 20)
set scr_htf_scorelimit "5"      // Score limit (default 5)

// The mode cvar controls how the hold time is handled (default 0)
// 0 = holdtime for each time is kept no matter which team currently has the flag
// 1 = enemy hold time is decreased to zero before own hold time is increased
// 2 = enemy hold time is zero:ed as the flag is stolen.
// 3 = enemy hold time is zero:ed as your team score
//set scr_htf_mode "0"

//set scr_htf_holdtime "90"         // Time in seconds required to hold the flag before scoring (default 90)
set scr_htf_flagspawndelay "15"   // Time in seconds before the flag respawns
//set scr_htf_flagrecovertime "0"     // Time in seconds before a dropped flag automaticly recover (0 = never recover flag) (default 0)
//set scr_htf_removeflagspawns "1"  // Remove the TDM that is used as the flag spawn (0 = no, 1 = yes) (default 1)
set scr_htf_spawndelay "10"       // Time player waits to respawn
set scr_htf_pointsforkillingflagcarrier "3"  // Points for killing flag carriers (default 1)
set scr_htf_pointsforstealingflag "3"  // Steal the flag-- get points when u take the flag from the other side's possession


//******************************************************************************
// Induvidual Hold the Flag (ihtf)
//******************************************************************************
set scr_ihtf_flagspawndelay "15"        // Time before the flag respawns, in seconds (default = 15)
set scr_ihtf_timelimit "30"               // Time limit, in minutes (default = 30)
set scr_ihtf_scorelimit "30"                // Score limit (default = 30)
set scr_ihtf_respawndelay "10"               // Respawn delay, in seconds (default = 10)
set scr_ihtf_randomflagspawns "1"        // Use random flag spawns for every flag spawn except the first one (0 = no, 1 = yes, default = 1)
set scr_ihtf_pointsforkillingplayers "0"      // Score received for killing regular players (default = 0)
set scr_ihtf_pointsforkillingflagcarrier "1"      // Score received for killing flag carriers (default = 1)
set scr_ihtf_pointsforstealingflag "1"        // Score received for stealing the flag
set scr_ihtf_pointsforholdingflag "2"          // Score received for holding the flag
//set scr_ihtf_holdtimetoscore "30"    // Time required to hold the flag before scoring, in seconds (default = 30)
//set scr_ihtf_maxholdtime "180"   // Max hold time, in seconds (default = 180)
//set scr_ihtf_flagtimeout "180"      // Time out for stealing flag before it respawns elsewhere, in seconds (default = 180)
//set scr_ithf_spawndistance "1000"    // Minimum distance a player can spawn from the flag, in COD units (default = 1000)

// Player spawn points creation mode (default = "dm tdm")
// String containing a combination of possibles values :
//   dm : DM player spawn points
//   tdm : TDM player spawn points
//   ctfp : CTF player spawn points
//   ctff : CTF flag points
//   sdp : SD player spawn points
//   sdb : SD bomb zones
//   hq : HQ radio points
//
// Examples :
// Make players spawn on CTF and SD player spawn points : "ctfp sdp"
// Make players spawn on DM spawn points : "dm"
//
set scr_ihtf_playerspawnpointsmode "dm tdm"

// Flag spawn points creation mode (default = "dm ctff sdb hq")
// String containing a combination of possibles values :
//   dm : DM player spawn points
//   tdm : TDM player spawn points
//   ctfp : CTF player spawn points
//   ctff : CTF flag points
//   sdp : SD player spawn points
//   sdb : SD bomb zones
//   hq : HQ radio points
//
// Examples :
// Make flag spawn on HQ radio points : "hq"
// Make flag spawn on CTF flag points and SD bomb zones : "ctff sdb"
//
set scr_ihtf_flagspawnpointsmode "ctff sdb hq"


//******************************************************************************
// Very Important Person (VIP)
//******************************************************************************
set scr_vip_scorelimit "20"        // Team score limit (default = 20)
set scr_vip_timelimit "30"        // Time limit, in minutes (default = 30)
set scr_vip_respawndelay "10"     // Respawn delay, in seconds (default = 10)
set scr_vip_vipdelay "5"         // Delay for selecting a new VIP, in seconds (default = 5)
set scr_vip_vipvisiblebyteammates "1"    // VIP visibility on compass by team mates (0 = no, 1 = yes, default = 1)
set scr_vip_vipvisiblebyenemies "1"     // VIP visibility on compass by enemies (0 = no, 1 = yes, default = 1)
//set scr_vip_pointsforkillingvip "5"     // Points awarded for killing enemy VIP (default = 5)
//set scr_vip_pointsforprotectingvip "3"   // Points awarded for protecting own VIP (default = 3)
//set scr_vip_vippoints "2"        // Points awarded to the VIP for staying alive (default = 2)
//set scr_vip_vippoints_cycle "3"      // Cyclic delay after which a VIP scores points for staying alive, in minutes (default = 3)

// Distance under which a kill is considered as protection - distance is from the killed player to the VIP (default = 800)
// No reason to change this value unless map has unusual dimensions...
//set scr_vip_vipprotectiondistance "800"

// Time under which a kill is considered as protection, in seconds = time passed since the killed player did his last damage to the VIP (default = 15)
//set scr_vip_vipprotectiontime "15"

// VIP pistol enabled (0 = no, 1 = yes, default = 1)
// If disabled, the VIP will be able to use normal weapons
//set scr_vip_vippistol "1"

// VIP smoke grenades (0 = disabled, n = number of grenades, max = 9, default = 3)
// If disabled, the standard smoke grenades will be used
//set scr_vip_vipsmokenades "3"

// VIP smoke radius = distance max to be invisible on compass (default = 380)
// Be careful to stick with a value close to the default or the visual effect (not configurable) won't match
//set scr_vip_vipsmokeradius "380"

// VIP smoke duration = duration of smoke effect on compass visibility, in seconds (default = 70)
// Be careful to stick with a value close to the default or the visual effect (not configurable) won't match
//set scr_vip_vipsmokeduration "70"

// VIP frag grenades (0 = disabled, n = number of grenades, max = 9, default = 0)
// If disabled, the standard number of frag grenades will be used
//set scr_vip_vipfragnades "0"

// VIP health, in percent of standard health (default = 150)
//set scr_vip_viphealth "150"

// Special binoculars enabled (0 = no, 1 = yes, default = 1)
//set scr_vip_binoculars "1"


//******************************************************************************
// Roundbased gametype swap teams
//******************************************************************************
// By enabling this option, in the roundbased gametypes (SD & LTS) all players will switch sides at the end of each round. Makes things
// more interesting to play, so your players can take turns at being attackers and defenders.
set ex_swapteams "0"


//******************************************************************************
// gametype start delay (NOT FOR DOM, ONS, LMS)
//******************************************************************************
// When the map has loaded and the gametype starts, you can set a delay here for when the match starts. If enabled, when only one
// player is on the server a message will be displayed in the centre of the screen informing the player that the game is waiting for more
// players to join, then if another player joins or there are enough players already the message will change informing the players that
// the match will begin along with a countdown set (in seconds) below. You can specify a global setting or use the examples.

// global start delay in seconds
// 0 = disable, max = 60, default = 0
//set ex_gtsdelay "10"
